[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.IsCustomDrawn

Returns True if a target is custom-drawn in the control.

## Declaration

Source position: comctrls.pp line 1551

`protected function TCustomListView.IsCustomDrawn(`
`ATarget: TCustomDrawTarget;`
`AStage: TCustomDrawStage`
`):Boolean; virtual;`

## Arguments

`ATarget` |  | Identifies which event handlers are checked for custom drawing routines.
`AStage` |  | Identifies the drawing stage and the corresponding event handlers examined in the method. Advanced event handlers are checked when set to a value other than cdPrePaint.

## Function result

True when Target is a custom-drawn using event handlers in the control.

## Description

Indicates whether the control, items, or sub-items are custom-drawn using the event handlers available in the control.

## See also

TCustomListView.OnCustomDraw |  | Event handler signalled to perform custom drawing for the list view control.
TCustomListView.OnCustomDrawItem |  | Event handler signalled to perform custom drawing for list items on the control.
TCustomListView.OnCustomDrawSubItem |  | Event handler signalled to perform custom drawing for list sub-item on the control.
TCustomListView.OnAdvancedCustomDraw |  | Event handler signalled to custom draw the grid control when the draw state is not cdPrePaint.
TCustomListView.OnAdvancedCustomDrawItem |  | Event handler signalled to custom draw a list item on the grid control when the draw state is not cdPrePaint.
TCustomListView.OnAdvancedCustomDrawSubItem |  | Event handler signalled to custom draw list sub-items when the draw stage is not cdPrePaint.
TCustomDrawTarget |  | TCustomDrawTarget - enumerated type controlling how a target object is drawn.
TCustomDrawStage |  | TCustomDrawStage a series of constants to define the drawing stages for custom-drawn controls.